This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 534858 (RHQ-1613)

Summary: Add support for Comparison Type of "not equal"
Product: [Other] RHQ Project Reporter: Charles Crouch <ccrouch>
Component: No ComponentAssignee: Charles Crouch <ccrouch>
Status: CLOSED WONTFIX QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: medium    
Version: 1.2CC: hbrock, jshaughn
Target Milestone: ---Keywords: SubTask
Target Release: ---   
Hardware: All   
OS: All   
URL: http://jira.rhq-project.org/browse/RHQ-1613
Whiteboard:
Fixed In Version: 1.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-05-05 11:11:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 536002    

Description Charles Crouch 2009-02-19 11:33:00 EST
Right now we have "=", "starts with", "ends with" and "contains", we should have "!=" too.

Arguably you could negate all of the conditions above, but "!=" was the one a customer asked for specifically.
Comment 1 Joseph Marques 2009-02-19 12:13:54 EST
charles, do you mean adding another substring function:

resource.name.notContains = "RHQ"

or do you want a new operator:

resource.name != "RHQ"
Comment 2 Charles Crouch 2009-02-19 17:29:08 EST
See case 268166 for more details.
Comment 3 Joseph Marques 2009-02-26 13:40:29 EST
to do this properly, i'd have to support the logical opposite of all operators today, which is startsWith, endsWith, contains, and ==
Comment 4 Red Hat Bugzilla 2009-11-10 15:36:45 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1613
Comment 8 Jay Shaughnessy 2014-05-05 11:11:04 EDT
It's unclear what this pertains to anymore, a new RFE should be generated as needed.